Generation Framework

## org.eclipse.gmf.gmfgraph
Interface CompoundBorder

All Superinterfaces:
  Border, EObject, Notifier

All Known Implementing Classes:
  CompoundBorderImpl

public interface CompoundBorder
extends Border

A representation of the model object 'Compound Border'.

The following features are supported:

- `Outer`
- `Inner`

See Also:
  `GMFGraphPackage.getCompoundBorder()`
** Generated **
Model:

Method Summary
`Border` `getInner()` Returns the value of the 'Inner' containment reference
`Border` `getOuter()` Returns the value of the 'Outer' containment reference
`void` `setInner(Border value)` Sets the value of the '`Inner`' containment reference
`void` `setOuter(Border value)` Sets the value of the '`Outer`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getOuter

    public Border getOuter()

  Returns the value of the 'Outer' containment reference.

  If the meaning of the 'Outer' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Outer' containment reference.
  See Also:
    `CompoundBorder.setOuter(Border)`, `GMFGraphPackage.getCompoundBorder_Outer()`
  ** Generated **
  Model:
    containment="true"

### setOuter

    public void setOuter(Border value)

  Sets the value of the '`Outer`' containment reference.

  Parameters:
    `value` - the new value of the 'Outer' containment reference.
  See Also:
    `CompoundBorder.getOuter()`
  ** Generated **

### getInner

    public Border getInner()

  Returns the value of the 'Inner' containment reference.

  If the meaning of the 'Inner' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Inner' containment reference.
  See Also:
    `CompoundBorder.setInner(Border)`, `GMFGraphPackage.getCompoundBorder_Inner()`
  ** Generated **
  Model:
    containment="true"

### setInner

    public void setInner(Border value)

  Sets the value of the '`Inner`' containment reference.

  Parameters:
    `value` - the new value of the 'Inner' containment reference.
  See Also:
    `CompoundBorder.getInner()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.